%global upstreamver 1r2p6
%global pkgname tomlib

%global bootstrap 1

Name:           gap-pkg-%{pkgname}
Version:        %(sed -r "s/r|p/./g" <<< %{upstreamver})
Release:        0.0%{?dist}
Summary:        GAP Table of Marks package

License:        GPLv2+
URL:            http://schmidt.nuigalway.ie/%{pkgname}/
Source0:        http://schmidt.nuigalway.ie/%{pkgname}/%{pkgname}%{upstreamver}.tar.gz
# Fix documentation reference bugs
Patch0:         %{name}-doc.patch
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
BuildRequires:  parallel
BuildRequires:  procps

%if ! 0%{?bootstrap}
BuildRequires:  gap-pkg-atlasrep
Requires:       gap-pkg-atlasrep
%endif

%if 0%{?fedora}
Recommends:     gap-pkg-ctbllib
%endif

%description
This package provides access to several hundred tables of marks of
almost simple groups and their maximal subgroups.

%prep
%setup -q -n %{pkgname}
%patch0

# Remove spurious executable bits
chmod a-x doc/tomlib.xml

%build
# Compress large tables of marks
parallel %{?_smp_mflags} --no-notice gzip --best ::: data/*.tom

# Build the documentation
make -C doc GAP=%{_bindir}/gap

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/README
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,toc}

%check
cd tst
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" testall.g < /dev/null \
    2>&1 | tee log
grep -Fvq fail log
rm -f log

%files
%doc README
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov  9 2016 Jerry James <loganjerry@gmail.com> - 1.2.6-1
- New upstream version

* Thu Apr  7 2016 Jerry James <loganjerry@gmail.com> - 1.2.5-7
- Rebuild for gap 4.8.3

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 11 2015 Jerry James <loganjerry@gmail.com> - 1.2.5-5
- Drop scriptlets; gap-core now uses rpm file triggers
- Rebuild documentation from source
- Turn test failures into build failures

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 Jerry James <loganjerry@gmail.com> - 1.2.5-3
- Compress with _smp_mflags

* Thu Jan 29 2015 Jerry James <loganjerry@gmail.com> - 1.2.5-2
- Compress the tables in parallel

* Fri Jan 16 2015 Jerry James <loganjerry@gmail.com> - 1.2.5-1
- Initial RPM
